"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Prepares extension object for asserting
 * @param assert assert library with checkers
 */
function Asserts(assert) {
    return {
        equal: (expected) => (actual) => {
            assert.equal(actual.valueOf(), expected.valueOf(), `Actual (${actual}) should be equal to expected (${expected})`);
            return true;
        },
        isTrue: assert.isTrue,
        isFalse: assert.isFalse,
        throws: (promise) => promise.then(assert.fail, () => true)
    };
}
exports.Asserts = Asserts;
