"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Convert string of number to bytes32
 * @param value value to convert to solidity's bytes32
 */
function bytes32(value) {
    const zeros = "000000000000000000000000000000000000000000000000000000000000000";
    if (typeof value === "string") {
        return (web3.toHex(value) + zeros).substr(0, 66);
    }
    const hexNumber = value.toString(16);
    return "0x" + (zeros + hexNumber).substring(hexNumber.length - 1);
}
exports.bytes32 = bytes32;
